IARRAY_COPY_ATTACHED(3)

EXPERIMENTAL_FUNC
iarray_copy_attached - Copy attached data from one Intelligent Array to another.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_copy_attached

(iarray output, iarray input, flag fail_on_duplicate, flag replace)

DESCRIPTION
Copy attached data from one Intelligent Array to another.

output
    The output Intelligent Array.

input
    The input Intelligent Array.

fail_on_duplicate
    If TRUE, the routine will fail if the element already exists in the output packet.

replace
    If TRUE and the element already exists in the output packet, it is replaced.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/